﻿@{
    ViewData["Title"] = "Add Page";
}
@using TestCaseBackendDeveloper_v._3.FE.ViewModel
@model AddTenderViewModel
<style>
    body {
        background: #222D32;
        font-family: 'Roboto', sans-serif;
    }

    .title {
        margin-top: 15px;
        text-align: center;
        font-size: 30px;
        letter-spacing: 2px;
        margin-top: 15px;
        font-weight: bold;
        color: #ECF0F5;
    }

    .box {
        margin-top: 75px;
        height: auto;
        background: #1A2226;
        box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
        color: #ECF0F5;
    }
</style>

<div class="container">
    <div class="row">
        <div class="col-lg-3 col-md-2"> </div>
        <div class="col-lg-6 col-md-8 box">
            <div class="col-lg-12 title">
                Add
            </div>
            <div class="col-lg-12">
                <div class="col-lg-12">
                    <div class="list-group">
                        <form asp-controller="Home" asp-action="Add" id="form" method="post">
                            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                            <div class="form-group p-2">
                                <label asp-for="Title" class="form-control-label">Title</label>
                                <input asp-for="Title" type="text" class="form-control" required>
                                <span asp-validation-for="Title" class="text-danger"></span>
                            </div>
                            <div class="form-group p-2">
                                <label asp-for="Reference" class="form-control-label">Reference</label>
                                <input asp-for="Reference" type="text" class="form-control" required>
                                <span asp-validation-for="Reference" class="text-danger"></span>
                            </div>
                            <div class="form-group p-2">
                                <label asp-for="ReleaseDate" id="startDate" class="form-control-label">Release Date</label>
                                <input asp-for="ReleaseDate" type="datetime-local" class="form-control">
                                <span asp-validation-for="ReleaseDate" class="text-danger"></span>
                            </div>
                            <div class="form-group p-2">
                                <label asp-for="ClosingDate" id="endDate" class="form-control-label">Closing Date</label>
                                <input asp-for="ClosingDate" type="datetime-local" class="form-control">
                                <span asp-validation-for="ClosingDate" class="text-danger"></span>
                            </div>
                            <div class="form-group p-2">
                                <label asp-for="Description" class="form-control-label">Description</label>
                                <textarea asp-for="Description" class="form-control" required></textarea>
                                <span asp-validation-for="Description" class="text-danger"></span>
                            </div>
                            <div class="col-lg-12 p-2">
                                <div class="col-lg-6 login-btm login-text">
                                    <!-- Error Message -->
                                </div>
                                <div class="col-lg-6 login-btm login-button">
                                    <button type="submit" class="btn btn-outline-primary">ADD</button>

                                </div>
                            </div>

                        </form>
                    </div>
                </div>
            </div>
            <div class="col-lg-3 col-md-2"> </div>
        </div>
    </div>
</div>
